
package de.ivu.elect.util;

import java.util.Collections;
import java.util.List;

public class ListSorter {

  public static <T> List<T> sortiereErsteListeNachReihenfolgeZweiteListeWennZweiteListeAlleEintraegeDerErstenListeEnthaelt(
      List<T> zuSortierendeListe, List<T> sortierteListe) {

    if (!sortierteListe.containsAll(zuSortierendeListe)) {
      return zuSortierendeListe;
    }

    Collections.sort(zuSortierendeListe, new ListSorterComparator<>(sortierteListe));

    return zuSortierendeListe;

  }
}
